Package com.verisign.epp.interfaces

## Class EPPQuicSession

- java.lang.Object
- - com.verisign.epp.interfaces.EPPSession
  - - com.verisign.epp.interfaces.EPPQuicSession

- Direct Known Subclasses:
    `EPPPooledGenericQuicSession`

      public class EPPQuicSession
      extends EPPSession

  EPPQuicSession provides behavior for communicating with an EPP Server using the QUIC protocol as the transport.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `EOQ_CONNECTION_START_PACKET` | Packet sent when the client starts an EoQ connection, which is a QUIC stream

    - ### Fields inherited from class com.verisign.epp.interfaces.EPPSession

      `clientId, codec, connection, extensionServices, inputStream, language, loginAdapter, message, mode, MODE_ASYNC, MODE_SYNC, msgID, newPassword, OP_ACK, OP_REQ, outputStream, password, pollOp, response, responsePacket, services, transId, version, xmlStream`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPQuicSession()` | Contact an `EPPQuicSession` instance using the URL generated from the "EPP.ServerName" and "EPP.ServerPort" configuration properties.
    `EPPQuicSession​(java.lang.String aUrl)` | Construct an `EPPQuicSession` instance that points to the given URL.
    `EPPQuicSession​(java.lang.String aHostName, int aPortNumber)` | Construct an `EPPQuicSession` instance that dynamically creates the server URL to connect to based on the host name and port number.
    `EPPQuicSession​(java.lang.String aHostName, int aPortNumber, EPPSSLContext aSSLContext)` | Construct an `EPPQuicSession` instance that dynamically creates the server URL to connect to based on the host name and port number, with an `SSLContext`.
    `EPPQuicSession​(java.lang.String aUrl, EPPSSLContext aSSLContext)` | Construct an `EPPQuicSession` instance that points to the given URL and an `EPPSSLContext`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getUrl()` | Gets the server URL to connect to.
    `void` | `init()` | Helper method called by constructor to perform any initialization required for the `EPPQuicSession` class.
    `void` | `setUrl​(java.lang.String aUrl)` | Sets the server URL to connect to.

    - ### Methods inherited from class com.verisign.epp.interfaces.EPPSession

      `endConnection, endSession, getClientCon, getClientID, getConnection, getInputStream, getLoginAdapter, getMode, getMsgID, getNewPassword, getOutputStream, getPassword, getPollOp, getResponse, getTransId, getVersion, hello, init, init, initLoginAdapter, initSession, initSession, initStreams, isModeSupported, login, login, logout, processDocument, processDocument, processGreeting, readResponse, recDocument, sendDocument, sendMessage, sendPacket, sendPoll, setClientID, setExtensions, setInputStream, setLang, setLang, setLoginAdapter, setMode, setMsgID, setNewPassword, setOutputStream, setPassword, setPollOp, setServices, setTransId, setVersion, validateClientTransId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EOQ_CONNECTION_START_PACKET

          public static final java.lang.String EOQ_CONNECTION_START_PACKET

      Packet sent when the client starts an EoQ connection, which is a QUIC stream
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPQuicSession

          public EPPQuicSession()
                         throws EPPCommandException

      Contact an `EPPQuicSession` instance using the URL generated from the "EPP.ServerName" and "EPP.ServerPort" configuration properties. The host name "localhost" and port number 1700, will result in the URL "eoq://localhost:1700".
      Throws:
        `EPPCommandException` - Error initializing the `EPPQuicSession`

    - #### EPPQuicSession

          public EPPQuicSession​(java.lang.String aUrl)
                         throws EPPCommandException

      Construct an `EPPQuicSession` instance that points to the given URL. An example is `https://localhost:1700/`.
      Parameters:
        `aUrl` - URL to connect to
      Throws:
        `EPPCommandException` - Error initializing the session

    - #### EPPQuicSession

          public EPPQuicSession​(java.lang.String aUrl,
                                EPPSSLContext aSSLContext)
                         throws EPPCommandException

      Construct an `EPPQuicSession` instance that points to the given URL and an `EPPSSLContext`. An example is `eoq://test.vgrs.com:1700/`.
      Parameters:
        `aUrl` - URL to connect to
        `aSSLContext` - Optional specific SSL context to use. Set to `null` if undefined.
      Throws:
        `EPPCommandException` - Error initializing the session

    - #### EPPQuicSession

          public EPPQuicSession​(java.lang.String aHostName,
                                int aPortNumber)
                         throws EPPCommandException

      Construct an `EPPQuicSession` instance that dynamically creates the server URL to connect to based on the host name and port number. The host name "localhost" and port number 1700, will result in the URL "eoq://localhost:1700".
      Parameters:
        `aHostName` - Host name or IP address of server
        `aPortNumber` - Server port number
      Throws:
        `EPPCommandException` - Error initializing the session

    - #### EPPQuicSession

          public EPPQuicSession​(java.lang.String aHostName,
                                int aPortNumber,
                                EPPSSLContext aSSLContext)
                         throws EPPCommandException

      Construct an `EPPQuicSession` instance that dynamically creates the server URL to connect to based on the host name and port number, with an `SSLContext`. The host name "localhost" and port number 1700, will result in the URL "eoq://localhost:1700".
      Parameters:
        `aHostName` - Host name or IP address of server
        `aPortNumber` - Server port number
        `aSSLContext` - Optional specific SSL context to use. Set to `null` if undefined.
      Throws:
        `EPPCommandException` - Error initializing the session

  - ### Method Detail

    - #### init

          public void init()
                    throws EPPCommandException

      Helper method called by constructor to perform any initialization required for the `EPPQuicSession` class.
      Overrides:
        `init` in class `EPPSession`
      Throws:
        `EPPCommandException` - if something goes wrong

    - #### getUrl

          public java.lang.String getUrl()

      Gets the server URL to connect to.
      Returns:
        Gets the server URL to connection to if set; `null` otherwise.

    - #### setUrl

          public void setUrl​(java.lang.String aUrl)

      Sets the server URL to connect to.
      Parameters:
        `aUrl` - Server URL to